Subject: Fwd: bug#40113: 28.0.50; Tramp uses 100% CPU then times out

From: Michael Albinus <[email-masked]>
Date: Wed, 18 Mar 2020 21:50:32 +0100

Forwarding to the proper email address

Subject: Re: bug#40113: 28.0.50; Tramp uses 100% CPU then times out
From: Michael Albinus <[email-masked]>
To: Alan Third <[email-masked]>
Date: Wed, 18 Mar 2020 21:46:07 +0100

Alan Third <[email-masked]> writes:

Hi Alan,

>> > The debug buffer has about 150MB of data in it. Even compressed its
>> > over 4MB. Should I send it over or is there something specific you
>> > want me to look for?
>>
>> You can send it directly to me. I'll take a look.
>
> Attached. Ill answer your questions on the list.

Thanks.

> 14:53:34.685303 tramp-process-actions (6) #
> Linux warhorse 4.19.0-5-amd64 #1 SMP Debian 4.19.37-3 (2019-05-15) x86_64
>                                                      (__
>                                                     ,_) \_,-/
>  __        __                                     /__      )__,
>  \ \      / /_ _ _ __                             )/  _\_    /
>   \ \ /\ / / _` | '__|                            /d   \ \   \__
>    \ V  V / (_| | |                              /  _.'  /    ( '
>     \_/\_/ \__,_|_|                             (,-,) |  |_   |_,
>                                                 ,-.___|_  /_,  /
>             _   _                               ) .__        ) \
>            | | | | ___  _ __ ___  ___            \ \\`-..-    \(`.
>            | |_| |/ _ \| '__/ __|/ _ \            \( \_\          `._
>            |  _  | (_) | |  \__ \  __/             \`-,'`.           `-.
>            |_| |_|\___/|_|  |___/\___|              `'    `-.__         \
>                                                            `,'      |-,._)
>                                                             !       ,')   `-.
>                                                             (    ,-'  (   ,-.)
>                                                              \   \  \ _/   \_
>                                                               \_ |\_ \`-'._  )
>                                                               ( ,'( /      )/
>                                                           __,','__/(
>                                                          /__(^ 7..1"
> Last login: Wed Mar 18 14:51:35 2020 from 2001:8b0:3f8:8129:d054:844b:876f:607a
> %                                                                               [33;1mwarhorse[0;29m:/home/alan>[?2004h
> 14:53:34.685489 tramp-process-sentinel (5) # Sentinel called: #<process *tramp/ssh warhorse*> killed: 9

> 14:53:34.687594 tramp-process-actions (1) # File error: Timeout reached, see buffer *tramp/ssh warhorse* for details

Looks, like zle (zsh line editor) is active. Could you pls consult the
Tramp manual how to avoid this?

Best regards, Michael.